## python-zeroconf 0.17.2

=== debian/changelog ===
python-zeroconf (0.17.2-1) unstable; urgency=low

  * New upstream release
  * debian/pydist-overrides:
    - Map enum_compat to python-enum34
  * debian/py3dist-overrides
    - In Python 3.4, the enum module is already present. Prevent any
      dependency on python3-enum34.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 25 Aug 2015 18:12:42 +0200

python-zeroconf (0.17.1-1) unstable; urgency=low

  * Initial release (Closes: #786729)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 25 May 2015 10:46:56 +0200

## python-zeroconf 0.19.1

=== Makefile ===
.PHONY: all virtualenv
MAX_LINE_LENGTH=110

virtualenv: ./env/requirements.built

env:
	virtualenv env

./env/requirements.built: env requirements-dev.txt
	./env/bin/pip install -r requirements-dev.txt
	cp requirements-dev.txt ./env/requirements.built

flake8:
	flake8 --max-line-length=$(MAX_LINE_LENGTH) examples *.py

test:
	nosetests -v

test_coverage:
	nosetests -v --with-coverage --cover-package=zeroconf

autopep8:
	autopep8 --max-line-length=$(MAX_LINE_LENGTH) -i examples *.py

## python-zeroconf 0.17.4

=== debian/changelog ===
python-zeroconf (0.17.4-1) unstable; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 10 Oct 2015 08:50:44 +0200

=== debian/control ===
Source: python-zeroconf
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: all
X-Python3-Version: >= 3.1
Homepage: https://github.com/jstasiak/python-zeroconf
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-zeroconf.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-zeroconf.git

Package: python-zeroconf
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Pure Python implementation of multicast DNS service discovery
 This is an implementation of the multicast DNS Service Discover Library
 zeroconf in pure Python.
 .
 Compared to some other Zeroconf/Bonjour/Avahi Python packages:
 .
  - isn't tied to Bonjour or Avahi
  - doesn't use D-Bus
  - doesn't force you to use particular event loop or Twisted

Package: python3-zeroconf
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Pure Python implementation of multicast DNS service discovery (Python3)
 This is an implementation of the multicast DNS Service Discover Library
 zeroconf in pure Python.
 .
 Compared to some other Zeroconf/Bonjour/Avahi Python packages:
 .
  - isn't tied to Bonjour or Avahi
  - doesn't use D-Bus
  - doesn't force you to use particular event loop or Twisted
 .
 This is the Python3 version of the library.

## python-zeroconf 0.17.5

=== debian/changelog ===
python-zeroconf (0.17.5-1) unstable; urgency=medium

  * New upstream release 

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 13 Apr 2016 21:02:26 +0200

python-zeroconf (0.17.4-2) unstable; urgency=medium

  * Added patch:
    - 0001-Set-install_requires-to-enum34-instead-of-enum-compa.patch
      makes sure that enum-compat is not listed in requires.txt
  * Remove d/pydist-overrides. Not needed after adding patch.
  * Updated d/py3dist-overrides to override enum34 to python3
  * Updated standards to 3.9.7 - no needed changes
  * Vcs-Git now using https

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 06 Mar 2016 10:48:16 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: all
 X-Python3-Version: >= 3.1
 Homepage: https://github.com/jstasiak/python-zeroconf
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-zeroconf.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-zeroconf.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-zeroconf.git
 
 Package: python-zeroconf
 Architecture: all

## python-zeroconf 0.17.6

=== debian/changelog ===
python-zeroconf (0.17.6-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - New standards version 3.9.8 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 06 Oct 2016 19:05:02 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: all
 X-Python3-Version: >= 3.1
 Homepage: https://github.com/jstasiak/python-zeroconf

## python-zeroconf 0.19.1

=== debian/changelog ===
python-zeroconf (0.19.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Ruben Undheim ]
  * d/compat: level 11
  * d/control:
    - New standards version 4.2.1 - no changes
    - debhelper >= 11
  * (not packaging latest upstream version because it drops Python 2 support,
     and rdeps depend on that)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 22 Sep 2018 12:08:56 +0200

python-zeroconf (0.19.1-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * debian/control: New standards version 4.0.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 13 Jul 2017 19:42:34 +0000

python-zeroconf (0.18.0-1~exp1) experimental; urgency=low

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 17 Mar 2017 15:27:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 X-Python-Version: all
-X-Python3-Version: >= 3.1
 Homepage: https://github.com/jstasiak/python-zeroconf
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-zeroconf.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-zeroconf.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-zeroconf
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-zeroconf.git
 
 Package: python-zeroconf
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

#LC_ALL=C.UTF-8 Makes sure that it builds correctly with pbuilder

%:
	LC_ALL=C.UTF-8 dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_auto_clean:
	$(RM) -r .pybuild zeroconf.egg-info
	dh_auto_clean

## python-zeroconf 0.21.3

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 flake8:
 	flake8 --max-line-length=$(MAX_LINE_LENGTH) examples *.py
 
+mypy:
+	mypy examples/*.py zeroconf.py
+
 test:
 	nosetests -v

=== debian/changelog ===
python-zeroconf (0.21.3-1) unstable; urgency=medium

  * New upstream release
  * Add version 0.19.1 in debian/python2_old since only that one supports
    Python 2.
  * d/p/patches/0001-Set-install_requires-to-enum34-instead-of-enum-compa.patch:
    - Drop patch
    - Apply patch to debian/python2_old
  * debian/rules:
    - Add specific rules to build Python2 package from debian/python2_old
      instead of from the top
    - Override dh_gencontrol such that the Python2 binary package gets version
      number 0.19.1-3
  * debian/README.source:
    - Add README file describing the double-source packaging.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 27 Dec 2018 15:54:44 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 
 Package: python3-zeroconf
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, python3-ifaddr
 Description: Pure Python implementation of multicast DNS service discovery (Python3)
  This is an implementation of the multicast DNS Service Discover Library
  zeroconf in pure Python.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

#LC_ALL=C.UTF-8 Makes sure that it builds correctly with pbuilder

PYTHON3VERSIONS := $(shell py3versions -s -v)
PYTHON2VERSIONS := $(shell pyversions -s -v)

%:
	LC_ALL=C.UTF-8 dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_auto_build:
	cd debian/python2_old && PYBUILD_VERSIONS="$(PYTHON2VERSIONS)" pybuild --build
	PYBUILD_VERSIONS="$(PYTHON3VERSIONS)" pybuild --build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd debian/python2_old && PYBUILD_VERSIONS="$(PYTHON2VERSIONS)" pybuild --test
	PYBUILD_VERSIONS="$(PYTHON3VERSIONS)" pybuild --test
endif

override_dh_auto_install:
	cd debian/python2_old && PYBUILD_VERSIONS="$(PYTHON2VERSIONS)" pybuild --install
	PYBUILD_VERSIONS="$(PYTHON3VERSIONS)" pybuild --install

override_dh_auto_clean:
	dh_auto_clean
	cd debian/python2_old && PYBUILD_VERSIONS="$(PYTHON2VERSIONS)" pybuild --clean
	$(RM) -r .pybuild zeroconf.egg-info
	$(RM) -r debian/python2_old/.pybuild/
	$(RM) -r debian/python2_old/debian/
	$(RM) -r debian/python2_old/zeroconf.egg-info/

override_dh_gencontrol:
	dh_gencontrol -ppython3-zeroconf
	dh_gencontrol -ppython-zeroconf -- -v0.19.1-3

=== debian/watch ===
version=3
https://github.com/jstasiak/python-zeroconf/releases /jstasiak/python-zeroconf/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## python-zeroconf 0.23.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,17 @@
 .PHONY: all virtualenv
 MAX_LINE_LENGTH=110
+PYTHON_IMPLEMENTATION:=$(shell python -c "import sys;import platform;sys.stdout.write(platform.python_implementation())")
+PYTHON_VERSION:=$(shell python -c "import sys;sys.stdout.write('%d.%d' % sys.version_info[:2])")
+
+LINT_TARGETS:=flake8
+
+ifneq ($(findstring PyPy,$(PYTHON_IMPLEMENTATION)),PyPy)
+	LINT_TARGETS:=$(LINT_TARGETS) mypy
+endif
+ifneq ($(findstring 3.5,$(PYTHON_VERSION)),3.5)
+	LINT_TARGETS:=$(LINT_TARGETS) black_check
+endif
+
 
 virtualenv: ./env/requirements.built
 
@@ -10,11 +22,21 @@
 	./env/bin/pip install -r requirements-dev.txt
 	cp requirements-dev.txt ./env/requirements.built
 
+.PHONY: ci
+ci: test_coverage lint
+
+.PHONY: lint
+lint: $(LINT_TARGETS)
+
 flake8:
 	flake8 --max-line-length=$(MAX_LINE_LENGTH) examples *.py
 
+.PHONY: black_check
+black_check:
+	black --check *.py examples
+
 mypy:
-	mypy examples/*.py zeroconf.py
+	mypy examples/*.py test_zeroconf.py zeroconf.py
 
 test:
 	nosetests -v

=== debian/changelog ===
python-zeroconf (0.23.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Ruben Undheim ]
  * New upstream release
  * Drop Python 2 package (Closes: #938284)
  * debian/control:
    - New standards version 4.4.0 - no changes
    - DH level 12
  * debian/rules:
    - Clean up more in dh_auto_clean

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 18 Oct 2019 22:32:39 +0200

=== debian/control ===
Source: python-zeroconf
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.0
X-Python-Version: all
Homepage: https://github.com/jstasiak/python-zeroconf
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-zeroconf
Vcs-Git: https://salsa.debian.org/python-team/modules/python-zeroconf.git

Package: python3-zeroconf
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-ifaddr
Description: Pure Python implementation of multicast DNS service discovery (Python3)
 This is an implementation of the multicast DNS Service Discover Library
 zeroconf in pure Python.
 .
 Compared to some other Zeroconf/Bonjour/Avahi Python packages:
 .
  - isn't tied to Bonjour or Avahi
  - doesn't use D-Bus
  - doesn't force you to use particular event loop or Twisted
 .
 This is the Python3 version of the library.

## python-zeroconf 0.24.4

=== Makefile ===
.PHONY: all virtualenv
MAX_LINE_LENGTH=110
PYTHON_IMPLEMENTATION:=$(shell python -c "import sys;import platform;sys.stdout.write(platform.python_implementation())")
PYTHON_VERSION:=$(shell python -c "import sys;sys.stdout.write('%d.%d' % sys.version_info[:2])")
TEST_ARGS=

LINT_TARGETS:=flake8

ifneq ($(findstring PyPy,$(PYTHON_IMPLEMENTATION)),PyPy)
	LINT_TARGETS:=$(LINT_TARGETS) mypy
endif
ifeq ($(or $(findstring 3.5,$(PYTHON_VERSION)),$(findstring PyPy,$(PYTHON_IMPLEMENTATION))),)
	LINT_TARGETS:=$(LINT_TARGETS) black_check
endif


virtualenv: ./env/requirements.built

env:
	virtualenv env

./env/requirements.built: env requirements-dev.txt
	./env/bin/pip install -r requirements-dev.txt
	cp requirements-dev.txt ./env/requirements.built

.PHONY: ci
ci: test_coverage lint

.PHONY: lint
lint: $(LINT_TARGETS)

flake8:
	flake8 --max-line-length=$(MAX_LINE_LENGTH) setup.py examples zeroconf

.PHONY: black_check
black_check:
	black --check setup.py examples zeroconf

mypy:
	mypy examples/*.py zeroconf/*.py

test:
	nosetests -v $(TEST_ARGS)

test_coverage:
	nosetests -v --with-coverage --cover-package=zeroconf $(TEST_ARGS)

autopep8:
	autopep8 --max-line-length=$(MAX_LINE_LENGTH) -i setup.py examples zeroconf

=== debian/changelog ===
python-zeroconf (0.24.4-0ubuntu1) focal; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release.
  * d/control: Added python3-ifaddr to BD.
  * d/control: Added python3-nose to BD.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 04 Feb 2020 10:16:59 +0000

=== debian/control ===
Source: python-zeroconf
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-ifaddr,
               python3-nose
Standards-Version: 4.4.0
X-Python-Version: all
Homepage: https://github.com/jstasiak/python-zeroconf
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zeroconf
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-zeroconf

Package: python3-zeroconf
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-ifaddr, python3-nose
Description: Pure Python implementation of multicast DNS service discovery (Python3)
 This is an implementation of the multicast DNS Service Discover Library
 zeroconf in pure Python.
 .
 Compared to some other Zeroconf/Bonjour/Avahi Python packages:
 .
  - isn't tied to Bonjour or Avahi
  - doesn't use D-Bus
  - doesn't force you to use particular event loop or Twisted
 .
 This is the Python3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

#LC_ALL=C.UTF-8 Makes sure that it builds correctly with pbuilder

PYTHON3VERSIONS := $(shell py3versions -s -v)

%:
	LC_ALL=C.UTF-8 dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_build:
	PYBUILD_VERSIONS="$(PYTHON3VERSIONS)" pybuild --build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_VERSIONS="$(PYTHON3VERSIONS)" pybuild --test
endif

override_dh_auto_install:
	PYBUILD_VERSIONS="$(PYTHON3VERSIONS)" pybuild --install

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r zeroconf.egg-info

## python-zeroconf 0.26.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,6 @@
 MAX_LINE_LENGTH=110
 PYTHON_IMPLEMENTATION:=$(shell python -c "import sys;import platform;sys.stdout.write(platform.python_implementation())")
 PYTHON_VERSION:=$(shell python -c "import sys;sys.stdout.write('%d.%d' % sys.version_info[:2])")
-TEST_ARGS=
 
 LINT_TARGETS:=flake8
 
@@ -40,10 +39,10 @@
 	mypy examples/*.py zeroconf/*.py
 
 test:
-	nosetests -v $(TEST_ARGS)
+	pytest -v zeroconf/test.py
 
 test_coverage:
-	nosetests -v --with-coverage --cover-package=zeroconf $(TEST_ARGS)
+	pytest -v --cov=zeroconf --cov-branch --cov-report html --cov-report term-missing zeroconf/test.py
 
 autopep8:
 	autopep8 --max-line-length=$(MAX_LINE_LENGTH) -i setup.py examples zeroconf

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zeroconf.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zeroconf.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zeroconf"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zeroconf"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-zeroconf (0.26.1-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 01 Feb 2021 13:12:39 -0500

python-zeroconf (0.26.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Declare Breaks against an incompatible version of pychromecast.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 13 May 2020 13:46:23 +0200

python-zeroconf (0.25.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Allow the tests to fail, as they do fail in the buildd env because of no
    networking, and that's what the package tests. Note that I don't think
    there's external connectivity, so it should still be policy compliant.
    (Closes: #958034)

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:51:10 +0200

python-zeroconf (0.25.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add python3-{ifaddr,nose} as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:55:29 +0200

=== debian/control ===
Source: python-zeroconf
Section: python
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
Build-Depends-Indep:
 python3-ifaddr,
 python3-nose,
Standards-Version: 4.5.0
X-Python-Version: all
Homepage: https://github.com/jstasiak/python-zeroconf
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-zeroconf
Vcs-Git: https://salsa.debian.org/python-team/modules/python-zeroconf.git

Package: python3-zeroconf
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-ifaddr
Breaks: python3-pychromecast (<< 4.2.0~)
Description: Pure Python implementation of multicast DNS service discovery (Python3)
 This is an implementation of the multicast DNS Service Discover Library
 zeroconf in pure Python.
 .
 Compared to some other Zeroconf/Bonjour/Avahi Python packages:
 .
  - isn't tied to Bonjour or Avahi
  - doesn't use D-Bus
  - doesn't force you to use particular event loop or Twisted
 .
 This is the Python3 version of the library.

## python-zeroconf 0.27.1

=== debian/changelog ===
python-zeroconf (0.27.1-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 01 Jun 2021 21:14:38 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-zeroconf
 Section: python
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Build-Depends: debhelper-compat (= 12),
                dh-python,

## python-zeroconf 0.38.3

=== debian/changelog ===
python-zeroconf (0.38.3-2) unstable; urgency=medium

  * Drop unneeded packages for build time test

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 05 Feb 2022 09:28:26 +0900

python-zeroconf (0.38.3-1) unstable; urgency=medium

  * New upstream version 0.38.3
  * Add pytest plugins for build time test
  * Skip async I/O test

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 05 Feb 2022 01:08:39 +0900

python-zeroconf (0.38.1-1) unstable; urgency=medium

  * New upstream version 0.38.1
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 25 Dec 2021 12:33:01 +0900

python-zeroconf (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 22 Nov 2021 11:20:23 +0900

python-zeroconf (0.36.13-1) unstable; urgency=medium

  * New upstream version 0.36.13

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 17 Nov 2021 20:40:40 +0900

python-zeroconf (0.36.12-1) unstable; urgency=medium

  * New upstream version 0.36.12

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 08 Nov 2021 22:05:10 +0900

python-zeroconf (0.36.11-1) unstable; urgency=medium

  * New upstream version 0.36.11
  * Also disable tests for other Debian builders

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 03 Nov 2021 11:19:26 +0900

python-zeroconf (0.36.9-1) unstable; urgency=medium

  * Add test module for async test
  * Break build if test is fail
  * Use debian/clean to remove generated files
  * Remove obsolete section in build rules
  * Use default values for builder
  * Remove obsolete install files list
  * Remove obsolete file
  * Remove obsolete line from ignore list
  * New upstream version 0.36.9
  * Lintian fix: superfluous-file-pattern
  * Lintian fix: silent-on-rules-requiring-root
  * Lintian fix: package-does-not-install-examples
  * Add myself to copyright file
  * Rename "docs" file to longer name as described in dh_installdocs(1)
  * Remove duplicated section
  * Add used module to Build-Depends list
  * Add more pytest plugins that described in "requirements-dev.txt"
  * Move architecture independent module to "Build-Depends-Indep" section
  * Remove unused module that not in "requirements-dev.txt"
  * Skip some network test

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 24 Oct 2021 16:11:09 +0900

python-zeroconf (0.36.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.

  [ YOKOTA Hiroshi ]
  * New upstream version 0.36.7
  * Drop Python 2 code
  * Update changelog for 0.36.7-1 release
  * New upstream version 0.36.8
  * Update changelog for 0.36.8-1 release
  * Squash unreleased changelog
  * Add myself to uploaders list

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 20 Oct 2021 00:11:42 +0900

python-zeroconf (0.36.4-1) unstable; urgency=medium

  * Team upload.

  [ YOKOTA Hiroshi ]
  * New upstream version 0.36.4
  * Upgrade Debian standards version

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 18 Sep 2021 14:19:37 +0900

python-zeroconf (0.32.1-1) unstable; urgency=medium

  * Team upload.

  [ YOKOTA Hiroshi ]
  * Update uscan watch file
  * New upstream version 0.32.1

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Norbert Preining <norbert@preining.info>  Fri, 17 Sep 2021 08:44:25 +0900

=== debian/control ===
Source: python-zeroconf
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
           YOKOTA Hiroshi <yokota.hgml@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Build-Depends-Indep:
 python3-anyio,
 python3-ifaddr,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-timeout,
 python3-pytest-tornasync
Standards-Version: 4.6.0
X-Python-Version: all
Homepage: https://github.com/jstasiak/python-zeroconf
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-zeroconf
Vcs-Git: https://salsa.debian.org/python-team/packages/python-zeroconf.git
Rules-Requires-Root: no

Package: python3-zeroconf
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Breaks: python3-pychromecast (<< 4.2.0~)
Description: Pure Python implementation of multicast DNS service discovery (Python3)
 This is an implementation of the multicast DNS Service Discover Library
 zeroconf in pure Python.
 .
 Compared to some other Zeroconf/Bonjour/Avahi Python packages:
 .
  - isn't tied to Bonjour or Avahi
  - doesn't use D-Bus
  - doesn't force you to use particular event loop or Twisted
 .
 This is the Python3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	DEBIAN_TEST=1 dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/jstasiak/python-zeroconf/releases /jstasiak/python-zeroconf/archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

## python-zeroconf 0.39.0

=== Makefile ===
# version: 1.3

.PHONY: all virtualenv
MAX_LINE_LENGTH=110
PYTHON_IMPLEMENTATION:=$(shell python -c "import sys;import platform;sys.stdout.write(platform.python_implementation())")
PYTHON_VERSION:=$(shell python -c "import sys;sys.stdout.write('%d.%d' % sys.version_info[:2])")

LINT_TARGETS:=flake8

ifneq ($(findstring PyPy,$(PYTHON_IMPLEMENTATION)),PyPy)
	LINT_TARGETS:=$(LINT_TARGETS) mypy black_check pylint
endif


virtualenv: ./env/requirements.built

env:
	python -m venv env

./env/requirements.built: env requirements-dev.txt
	./env/bin/pip install -r requirements-dev.txt
	cp requirements-dev.txt ./env/requirements.built

.PHONY: ci
ci: lint test_coverage

.PHONY: lint
lint: $(LINT_TARGETS)

flake8:
	flake8 --max-line-length=$(MAX_LINE_LENGTH) setup.py examples zeroconf

pylint:
	pylint zeroconf

.PHONY: black_check
black_check:
	black --check setup.py examples zeroconf

mypy:
# --no-warn-redundant-casts --no-warn-unused-ignores is needed since we support multiple python versions
# We should be able to drop this once python 3.6 goes away
	mypy --no-warn-redundant-casts --no-warn-unused-ignores examples/*.py zeroconf

test:
	pytest --durations=20 --timeout=60 -v tests

test_coverage:
	pytest --durations=20 --timeout=60 -v --cov=zeroconf --cov-branch --cov-report xml --cov-report html --cov-report term-missing tests

autopep8:
	autopep8 --max-line-length=$(MAX_LINE_LENGTH) -i setup.py examples zeroconf

=== debian/changelog ===
python-zeroconf (0.39.0-1) unstable; urgency=medium

  * Add module name to upstream tarball
  * New upstream version 0.39.0
  * Update dependency list
  * Rediff patches
  * Requires "ifaddr" >= 0.1.7 by "setup.py" file
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 10 Aug 2022 00:04:09 +0900

python-zeroconf (0.38.7-1) unstable; urgency=medium

  * New upstream version 0.38.7
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 18 Jun 2022 21:20:53 +0900

python-zeroconf (0.38.6-2) unstable; urgency=medium

  * Upgrade Debian standards
  * Skip test error

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 14 May 2022 01:31:22 +0900

python-zeroconf (0.38.6-1) unstable; urgency=medium

  * New upstream version 0.38.6
  * Rediff patches
  * Rediff patches
  * Renumber patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 08 May 2022 07:33:29 +0900

python-zeroconf (0.38.5-1) unstable; urgency=medium

  * New upstream version 0.38.5
  * Rediff patches
  * Skip fragile network test
  * Reorder patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 04 May 2022 14:10:33 +0900

python-zeroconf (0.38.4-3) unstable; urgency=medium

  * Use auto mode to avoid warning

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 16 Mar 2022 05:11:31 +0900

python-zeroconf (0.38.4-2) unstable; urgency=medium

  * Drop python3-anyio to avoid package auto-removal

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 15 Mar 2022 22:31:41 +0900

python-zeroconf (0.38.4-1) unstable; urgency=medium

  * New upstream version 0.38.4

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 03 Mar 2022 21:11:11 +0900

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                python3-all,
                python3-setuptools
 Build-Depends-Indep:
- python3-anyio,
- python3-ifaddr,
+ python3-async-timeout (>= 4.0.1),
+ python3-ifaddr (>= 0.1.7),
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-cov,
  python3-pytest-timeout,
  python3-pytest-tornasync
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 X-Python-Version: all
 Homepage: https://github.com/jstasiak/python-zeroconf
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-zeroconf

=== debian/watch ===
# -*- mode: conf -*-
version=4

opts="filenamemangle=s!/archive/refs/tags/(\d+\.\d+\.\d+\.tar\.(?:bz2|gz|xz))$!-github-$1!" \
https://github.com/jstasiak/python-zeroconf/releases /jstasiak/python-zeroconf/archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

## python-zeroconf 0.39.4

=== debian/changelog ===
python-zeroconf (0.39.4-1) unstable; urgency=medium

  * New upstream version 0.39.4
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 02 Nov 2022 20:51:09 +0900

python-zeroconf (0.39.3-1) unstable; urgency=medium

  * New upstream version 0.39.3
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 29 Oct 2022 13:10:40 +0900

python-zeroconf (0.39.2-1) unstable; urgency=medium

  * New upstream version 0.39.2
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 24 Oct 2022 08:16:21 +0900

python-zeroconf (0.39.1-2) unstable; urgency=medium

  * Update watch line for uscan(1)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 21 Sep 2022 20:41:45 +0900

python-zeroconf (0.39.1-1) unstable; urgency=medium

  * Update copyright years
  * New upstream version 0.39.1
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 07 Sep 2022 20:56:37 +0900

=== debian/watch ===
# -*- mode: conf -*-
version=4

opts="downloadurlmangle=s!/jstasiak/python-zeroconf/releases/tag/(\d+\.\d+\.\d+)!/jstasiak/python-zeroconf/archive/refs/tags/$1.tar.gz!, \
      filenamemangle=s!(\d+\.\d+\.\d+)$!python-zeroconf-github-$1.tar.gz!" \
  https://github.com/jstasiak/python-zeroconf/releases \
  /jstasiak/python-zeroconf/releases/tag/(\d+\.\d+\.\d+)

## python-zeroconf 0.47.3

=== Makefile ===
# version: 1.3


test:
	poetry run pytest --durations=20 --timeout=60 -v tests

=== debian/changelog ===
python-zeroconf (0.47.3-1) unstable; urgency=medium

  * Lintian fix
  * New upstream version 0.47.3

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 20 Feb 2023 10:49:36 +0900

python-zeroconf (0.47.1-2) unstable; urgency=medium

  [ Corey Bryant ]
  * d/control: Add explicit dependency on python3-async-timeout.
    (Closes: #1028606)
      Internal "async-timeout" support is available from Python 3.11.
      Explicit "python3-async-timeout" dependency is still required for
      Python 3.10 while Python 3.10 is supported by "python3-all" package.

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 15 Jan 2023 21:35:56 +0900

python-zeroconf (0.47.1-1) unstable; urgency=medium

  * New upstream version 0.47.1
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 24 Dec 2022 20:51:02 +0900

python-zeroconf (0.47.0-1) unstable; urgency=medium

  * Upload to unstable

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 22 Dec 2022 19:34:17 +0900

python-zeroconf (0.47.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.47.0
  * Add build tools
  * Cosmetic fix

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 22 Dec 2022 16:15:05 +0900

python-zeroconf (0.45.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.44.0
  * Rediff patches
  * New upstream version 0.45.0
  * Upstream was moved to PEP517 (pyproject.toml) based build
  * Add PEP517 build system
  * Do not install coverage test results data
  * Omit binary extension
  * Tell module name to pybuild
  * Remove unwanted test files from instration tree
  * Minimize build dependency
  * Update ignore list
  * Use hook target instead of override target
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 22 Dec 2022 14:24:28 +0900

python-zeroconf (0.39.4-3) unstable; urgency=medium

  * Upgrade Debian standards

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 18 Dec 2022 20:44:25 +0900

python-zeroconf (0.39.4-2) unstable; urgency=medium

  * Update upstream URLs

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 16 Dec 2022 16:28:54 +0900

=== debian/control ===
Source: python-zeroconf
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>,
           YOKOTA Hiroshi <yokota.hgml@gmail.com>
Build-Depends:
    debhelper-compat (= 13),
    dh-python,
    pybuild-plugin-pyproject,
    python3-all,
    python3-poetry-core,
    python3-setuptools
Build-Depends-Indep:
    python3-async-timeout (>= 4.0.1),
    python3-ifaddr (>= 0.1.7),
    python3-pytest,
    python3-pytest-asyncio,
    python3-pytest-cov,
    python3-pytest-timeout,
    python3-pytest-tornasync
Standards-Version: 4.6.2
X-Python-Version: all
Homepage: https://github.com/python-zeroconf/python-zeroconf
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-zeroconf
Vcs-Git: https://salsa.debian.org/python-team/packages/python-zeroconf.git
Rules-Requires-Root: no

Package: python3-zeroconf
Architecture: all
Depends:
# Internal "async-timeout" support is available from Python 3.11.
# Explicit "python3-async-timeout" dependency is required for Python 3.10
# while Python 3.10 is supported by "python3-all" package.
 python3-async-timeout (>= 4.0.1),
 ${misc:Depends},
 ${python3:Depends},
Breaks: python3-pychromecast (<< 4.2.0~)
Description: Pure Python implementation of multicast DNS service discovery (Python3)
 This is an implementation of the multicast DNS Service Discover Library
 zeroconf in pure Python.
 .
 Compared to some other Zeroconf/Bonjour/Avahi Python packages:
 .
  - isn't tied to Bonjour or Avahi
  - doesn't use D-Bus
  - doesn't force you to use particular event loop or Twisted
 .
 This is the Python3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=zeroconf

%:
	DEBIAN_TEST=1 SKIP_CYTHON=True dh $@ --with python3 --buildsystem=pybuild

# remove coverage test file from installation tree
execute_after_dh_auto_test:
	rm -f ./.pybuild/*/build/.coverage

=== debian/watch ===
# -*- mode: conf -*-
version=4

opts="downloadurlmangle=s!/python-zeroconf/python-zeroconf/releases/tag/(\d+\.\d+\.\d+)!/python-zeroconf/python-zeroconf/archive/refs/tags/$1.tar.gz!, \
      filenamemangle=s!(\d+\.\d+\.\d+)$!python-zeroconf-github-$1.tar.gz!" \
  https://github.com/python-zeroconf/python-zeroconf/releases \
  /python-zeroconf/python-zeroconf/releases/tag/(\d+\.\d+\.\d+)

## python-zeroconf 0.76.0

=== debian/changelog ===
python-zeroconf (0.76.0-1~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 14 Aug 2023 18:12:16 +0000

python-zeroconf (0.76.0-1) unstable; urgency=medium

  * New upstream version 0.76.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 14 Aug 2023 20:34:17 +0900

python-zeroconf (0.74.0-2) unstable; urgency=medium

  * python3-zeroconf 0.74.0 breaks older calibre

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 06 Aug 2023 03:47:38 +0900

python-zeroconf (0.74.0-1) unstable; urgency=medium

  * New upstream version 0.74.0
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 05 Aug 2023 20:49:53 +0900

python-zeroconf (0.71.4-1) unstable; urgency=medium

  * New upstream version 0.71.4

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 28 Jul 2023 09:02:05 +0900

python-zeroconf (0.71.0-1) unstable; urgency=medium

  * New upstream version 0.71.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 12 Jul 2023 00:34:32 +0900

python-zeroconf (0.70.0-1) unstable; urgency=medium

  * New upstream version 0.70.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 03 Jul 2023 12:19:51 +0900

python-zeroconf (0.69.0-1) unstable; urgency=medium

  * New upstream version 0.69.0
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Wed, 21 Jun 2023 14:47:13 +0900

python-zeroconf (0.66.0-1) unstable; urgency=medium

  * New upstream version 0.66.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 13 Jun 2023 11:10:17 +0900

python-zeroconf (0.64.1-1) unstable; urgency=medium

  * New upstream version 0.64.1
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Fri, 09 Jun 2023 17:39:04 +0900

python-zeroconf (0.63.0-1) unstable; urgency=medium

  * New upstream version 0.63.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 28 May 2023 12:09:07 +0900

python-zeroconf (0.62.0-1) unstable; urgency=medium

  * New upstream version 0.62.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 04 May 2023 11:44:26 +0900

python-zeroconf (0.58.2-1) unstable; urgency=medium

  * New upstream version 0.58.2

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 30 Apr 2023 12:56:33 +0900

python-zeroconf (0.58.0-1) unstable; urgency=medium

  * New upstream version 0.58.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 25 Apr 2023 08:01:37 +0900

python-zeroconf (0.56.0-1) unstable; urgency=medium

  * Use pypi.debian.net
  * New upstream version 0.56.0
  * Example code was dropped from PyPI source
  * Remove unused packager file
  * Keep test result files in build tree
  * Show deleted files

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 08 Apr 2023 16:09:41 +0900

python-zeroconf (0.54.0-1) unstable; urgency=medium

  * New upstream version 0.54.0

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 04 Apr 2023 07:51:08 +0900

python-zeroconf (0.53.0-1) unstable; urgency=medium

  * New upstream version 0.53.0
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 03 Apr 2023 21:47:31 +0900

python-zeroconf (0.47.4-1) unstable; urgency=medium

  * New upstream version 0.47.4

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 27 Mar 2023 00:38:35 +0900

## python-zeroconf 0.80.0

=== debian/changelog ===
python-zeroconf (0.80.0-1) unstable; urgency=medium

  * New upstream version 0.80.0
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 19 Aug 2023 00:33:40 +0900

## python-zeroconf 0.97.0

=== debian/changelog ===
python-zeroconf (0.97.0-1) unstable; urgency=medium

  * New upstream version 0.97.0
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Mon, 04 Sep 2023 10:18:47 +0900

python-zeroconf (0.91.1-1) unstable; urgency=medium

  * New upstream version 0.91.1
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 02 Sep 2023 17:30:19 +0900

python-zeroconf (0.88.0-1) unstable; urgency=medium

  * New upstream version 0.88.0
  * Rediff patches

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 29 Aug 2023 13:20:54 +0900

python-zeroconf (0.82.1-1) unstable; urgency=medium

  * New upstream version 0.82.1

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 26 Aug 2023 13:54:59 +0900
